View Issue Details

IDProjectCategoryView StatusLast Update
0003880GNUnetNAT traversal librarypublic2018-06-07 00:24
ReporterinkdAssigned Tobratao 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux x86_64OSGentooOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003880: test_stun hangs forever
Descriptiontest_stun hangs since rewrite
Steps To Reproduce$ cd gnunet/src/nat
$ make test_stun.log &

# wait, nothing happens

$ killall test_stun
FAIL: test_stun
$ cat test_stun.log
Binded, now will call add_read
Start main event
$ rm test_stun.log
Additional Informationtest_stun does not hang in r35980:

$ cd gnunet/src/nat
$ svn update -r 35980
$ make test_stun.log
PASS: test_stun
$ cat test_stun.log
STUN Packet, msg Binding Response (0101), length: 92
Found STUN Attribute Mapped Address (0001), length 8
Found STUN Attribute Source Address (0004), length 8
Ignoring STUN Attribute Source Address (0004), length 8
Found STUN Attribute Changed Address (0005), length 8
Ignoring STUN Attribute Changed Address (0005), length 8
Found STUN Attribute MS XOR Mapped Address (8020), length 8
Found STUN Attribute Software (8022), length 40
Ignoring STUN Attribute Software (8022), length 40
Binded, now will call add_read
Start main event
Recivied something of size 112External IP is: <censored> , with port 7895

I can contact the test_stun server fine with stunbdc:
$ stunbdc stun.ekiga.net
Server address: 217.10.68.152 port 3478
STUN transaction started (timeout 600ms).
STUN unknown: 0 mandatory attribute(s)!
Received 88-bytes STUN message
 No XOR-MAPPED-ADDRESS: 1
 Mapped address found!
Mapped address: <censored> port 53170
TagsNo tags attached.

Activities

bratao

2015-07-08 16:32

developer   ~0009404

I´m on it. I actually refactoring this code, and in the next days I will commit.

Issue History

Date Modified Username Field Change
2015-07-07 19:22 inkd New Issue
2015-07-08 15:29 Christian Grothoff Assigned To => bratao
2015-07-08 15:29 Christian Grothoff Status new => assigned
2015-07-08 16:32 bratao Note Added: 0009404
2015-08-21 15:24 bratao Status assigned => resolved
2015-08-21 15:24 bratao Fixed in Version => SVN HEAD
2015-08-21 15:24 bratao Resolution open => fixed
2015-08-21 21:08 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2015-08-21 21:08 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed